%plot_mugamma
%Bernd fischer: 09.06.96
%
% plots mu*gamma(t) for t \in [-1,1]
%
% change epsilon, Delta, n as required
%
% uses:  mugamma

   format short e

   %case1: delta=0.0; epsilon=.01; h=1/16;
   %case2: delta=0.3; epsilon=.01; h=1/16; 
   %case3: delta=0.4; epsilon=.01; h=1/16;
   %case4: delta=0.5; epsilon=.01; h=1/16;
   %case5: delta=0.8; epsilon=.01; h=1/16;



%%Fsup parameter
   delta=0.3; epsilon=.001; n=16; 
   h=1/n;
%%%%%%%%
   dis=100;
   t=linspace(-1,1,dis);
   colour='w';
   
   t_hat=-2*(h^2-2*delta*h*epsilon-4*(delta*h+epsilon)^2)/...
       (h^2-4*(delta*h+2*epsilon)^2);
   pt_hat=h^2*epsilon^2/(h^2-4*(delta*h+2*epsilon)^2);

   p=mugamma(epsilon, h, delta, t);
   plot(t,p, colour)
   hold on
   plot([-1,1],[0,0])
   title(['n = ', int2str(n),', epsilon = ', num2str(epsilon),...
		        ', delta = ',num2str(delta)])
   xlabel(['p(-1) = ',num2str(p(1)),',  p(1) = ',num2str(p(100)),...
     ',  p(t_hat) = ',num2str(pt_hat),',  t_hat = ',num2str(t_hat)])
   hold off

   disp(['   p(-1)        p(1)         p(t_hat)     t_hat'])
   disp([p(1), p(100), pt_hat, t_hat])

return
